/**
Theme Name: Urgron Castle
Author: WebGurus
Author URI: https://webgurus.io/
Description: WordPress design & development by WebGurus
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: urgron-castle
Template: astra
*/

/* Arajanlat page gravity forms */

body.wp-child-theme-ugron-castle.elementor-page-1324 {
  background: #f7f2ec;
}

body.wp-child-theme-ugron-castle.elementor-page-1324 .elementor-widget-heading h2.elementor-heading-title {
  color: #a36d4a;
  font-size: 40px;
  font-weight: 300;
  line-height: 42px;
}
body.wp-child-theme-ugron-castle.elementor-page-1324 .elementor-element-e22acc1.elementor-widget p {
  color: #000;
  font-family: 'General Sans', sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 300;
  line-height: 24px;
  margin: 0;
}

body.wp-child-theme-ugron-castle.elementor-page-1324 :is(#ugron_id, .e-con-inner) .elementor-element-6dfb151 {
  padding: 32px;
  border-radius: 12px;
  background: #fffefe;
}

@media screen and (max-width: 480px) {
  body.wp-child-theme-ugron-castle.elementor-page-1324 :is(#ugron_id, .e-con-inner) .elementor-element-6dfb151 {
    border-radius: 0;
    padding: 20px;
  }
}

/* Bumps specificity to (1,2,0) — id + 2 classes */
/* reset the grid causing layout problems */
:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper .gform_fields {
  display: grid !important;
  grid-template-columns: repeat(12, 1fr) !important;
  row-gap: 32px !important;
  column-gap: 6px !important;
}

:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio .gfield_radio {
  display: flex;
  align-items: center !important;
  gap: 14px !important;
  flex-wrap: unset !important;
  justify-content: unset !important;
}

@media screen and (max-width: 480px) {
  :is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio .gfield_radio {
    flex-direction: column !important;
    align-items: flex-start !important;
    margin-bottom: 0;
  }
}

:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio .gchoice {
  display: inline-flex !important;
  gap: 0 !important;
  inline-size: unset !important;
}

:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio .gform-field-label {
  margin-left: 8px;
  text-align: center;
  font-family: 'General Sans', sans-serif;
  line-height: 24px !important;
  color: #5a4a3a !important;
  font-size: 18px !important;
  font-style: normal !important;
  font-weight: 400 !important;
}

:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_3_1 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_3_23 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_3_24 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_2_1 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_2_23 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_2_24 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_1_25 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_1_26 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_5_23 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_5_24 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_6_23 label,
:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_radio div#input_6_24 label {
  color: #000 !important;
  text-align: center;
  font-family: 'General Sans', sans-serif !important;
  font-size: 14px !important;
  font-style: normal !important;
  font-weight: 400 !important;
  line-height: 24px !important;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper .gfield_required {
  display: unset !important;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_heading {
  display: none;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper {
  font-family: 'General Sans', sans-serif;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper .gsection_title {
  font-family: 'Moret', sans-serif !important;
  margin-bottom: 0 !important;
  color: #a36d4a !important;
  font-size: 24px !important;
  font-weight: 300 !important;
  line-height: 32px !important;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper .gsection {
  border-bottom: 1px solid #d6c9b8 !important;
  margin: 0 !important;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper .gfield_label {
  margin-bottom: 6px !important;
  color: #3d3126 !important;
  font-family: 'General Sans', sans-serif !important;
  font-size: 14px !important;
  font-style: normal !important;
  font-weight: 500 !important;
  line-height: 20px !important;
}

:is(#ugron_id, .gravity-form-wrapper) .gfield.gfield--type-checkbox.gfield--type-choice .gfield_label {
  margin-bottom: 12px !important;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper input[type='text'],
:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper input[type='email'],
:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper input[type='tel'],
:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper input[type='number'],
:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper input[type='date'],
:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper select,
:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper textarea {
  border-radius: 8px !important;
  border: 1px solid #e6d7c5 !important;
  background: #fff9f2 !important;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05) !important;
  padding: 10px 14px !important;
  color: #101828 !important;
  font-family: 'General Sans', sans-serif !important;
  min-height: 44px;
  font-size: 14px !important;
  font-style: normal !important;
  font-weight: 400 !important;
  line-height: 24px !important;
}

:is(#ugron_id, .gravity-form-wrapper) .gfield {
  margin: 0;
}

:is(#ugron_id, .gravity-form-wrapper) .gform_wrapper .ginput_complex.ginput_container_name {
  display: flex !important;
  gap: 0 !important;
}

@media screen and (max-width: 480px) {
  :is(#ugron_id, .gravity-form-wrapper) .gform_wrapper .ginput_complex.ginput_container_name {
    gap: 16px !important;
  }
}

:is(#ugron_id, .gravity-form-wrapper) #gfield_description_1_7,
:is(#ugron_id, .gravity-form-wrapper) #gfield_description_2_7,
:is(#ugron_id, .gravity-form-wrapper) #gfield_description_3_7,
:is(#ugron_id, .gravity-form-wrapper) #gfield_description_5_7,
:is(#ugron_id, .gravity-form-wrapper) #gfield_description_6_7 {
  color: #000;
  font-size: 14px !important;
  font-weight: 300;
  line-height: 14px !important;
  margin-top: 8px;
  font-family: 'Moret', sans-serif;
}

@media screen and (min-width: 768px) {
  :is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_checkbox,
  :is(#ugron_id, .gravity-form-wrapper) .gf_list_2col:where(:not(.gfield--type-image_choice)) .gfield_checkbox,
  :is(#ugron_id, .gravity-form-wrapper) .gf_list_2col:where(:not(.gfield--type-image_choice)) .gfield_radio {
    display: flex;
    flex-direction: row;
    gap: 16px;
  }
  :is(#ugron_id, .gravity-form-wrapper) .gf_list_3col:where(:not(.gfield--type-image_choice)) .gfield_checkbox,
  :is(#ugron_id, .gravity-form-wrapper) .gf_list_3col:where(:not(.gfield--type-image_choice)) .gfield_radio {
    display: flex;
    flex-direction: row;
  }
}

:is(#ugron_id, .gravity-form-wrapper) .gform-footer.gform_footer.top_label input[type='submit'] {
  display: flex;
  padding: 8px 14px !important;
  justify-content: center;
  align-items: center;
  gap: 8px;
  border-radius: 8px !important;
  border: 1px solid #114d42 !important;
  background: #15584c;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  color: #e6d7c5;
  font-family: 'General Sans', sans-serif;
  font-size: 14px !important;
  font-style: normal;
  font-weight: 500;
  line-height: 20px;
  text-transform: unset !important;
  letter-spacing: 0 !important;
}

@media screen and (min-width: 768px) {
  span#input_1_4_3_container {
    padding-right: 0;
  }
}

@media screen and (max-width: 480px) {
  :is(#ugron_id, .gravity-form-wrapper) .gform-footer.gform_footer.top_label input[type='submit'] {
    width: 100% !important;
  }
}

:is(#ugron_id, .gravity-form-wrapper) .ginput_container.ginput_container_date {
  position: relative !important;
}

:is(#ugron_id, .gravity-form-wrapper)
  .gfield--input-type-datepicker.gfield--datepicker-default-icon
  .ginput_container_date::after {
  position: absolute !important;
  top: 10px !important;
  right: -10px !important;
  left: unset !important;
  height: unset !important;
  margin: unset !important;
}

/* END Arajanlat page gravity forms */

/* START HEADER LANGUAGE DROPDOWN */
:is(#ugron_id, .main-header-menu) ul#ast-hf-menu-2 .menu-item > .sub-menu a.menu-link {
  padding-block: 10px;
}
:is(#ugron_id, .main-header-menu) .menu-item:hover > .sub-menu {
  left: unset;
  right: 0;
  width: auto;
  min-width: max-content;
  padding: 0;
}

:is(#ugron_id, .main-navigation) ul#ast-hf-menu-2 .menu-item:hover > .sub-menu {
  left: 0;
  right: unset;
}
:is(#ugron_id, .main-header-menu) .menu-item:hover > .sub-menu a.menu-link:hover {
  background: var(--ast-global-color-1);
  color: #fff;
}

/* :is(#ugron_id, .main-header-menu) .menu-item .ast-icon svg:not([fill]) {
  fill: white;
} */

nav#secondary_menu-site-navigation-mobile .main-navigation.ast-inline-flex li.pll-parent-menu-item svg.ast-arrow-svg {
  fill: #000 !important;
}

nav#secondary_menu-site-navigation-mobile .main-navigation.ast-inline-flex ul#ast-hf-menu-2-mobile {
  justify-content: flex-end;
}

.ast-builder-menu-mobile .main-navigation .menu-item.menu-item-has-children > ul.sub-menu a {
  color: var(--ast-global-color-1);
}

@media screen and (max-width: 992px) {
  .ast-builder-menu-mobile .main-navigation .menu-item.menu-item-has-children > .ast-menu-toggle {
    right: 10px;
  }
}

@media screen and (max-width: 1023px) {
  .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item > .menu-link {
    color: var(--ast-global-color-7);
  }

  :is(#ugron_id, .main-header-menu) .menu-item .ast-icon svg.ast-arrow-svg {
    fill: white !important;
  }
}

@media (max-width: 992px) {
  .ast-header-break-point .header-widget-area[data-section='sidebar-widgets-header-widget-1'] {
    padding-bottom: 20px;
    padding-block: 20px;
  }

  .ast-header-break-point .ast-mobile-popup-drawer .ast-mobile-popup-header {
    position: absolute;
    right: 16px;
    top: 16px;
  }
}

@media screen and (min-width: 992px) and (max-width: 1192px) {
  .site-primary-header-wrap.ast-builder-grid-row-container.site-header-focus-item.ast-container
    .ast-builder-grid-row.ast-grid-center-col-layout {
    grid-template-columns: 134px 3fr 134px;
    gap: 8px;
  }
  .site-primary-header-wrap.ast-builder-grid-row-container.site-header-focus-item.ast-container
    .ast-builder-grid-row.ast-grid-center-col-layout
    .site-header-section
    > div {
    padding: 0;
    flex: unset;
    min-width: 0px;
    max-width: unset;
    width: unset;
  }
  .site-primary-header-wrap.ast-builder-grid-row-container.site-header-focus-item.ast-container
    .ast-builder-grid-row.ast-grid-center-col-layout
    span.menu-text {
    font-size: 14px;
    line-height: 18px;
  }
  .site-primary-header-wrap.ast-builder-grid-row-container.site-header-focus-item.ast-container
    .ast-builder-grid-row.ast-grid-center-col-layout
    .site-header-section
    .ast-custom-button {
    font-size: 14px;
    padding: 10px 24px;
  }
}

nav#secondary_menu-site-navigation-mobile .main-navigation.ast-inline-flex li.pll-parent-menu-item {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  flex-direction: row;
  max-width: 100px;
}

nav#secondary_menu-site-navigation-mobile .main-navigation.ast-inline-flex li.pll-parent-menu-item a.menu-link {
  width: unset;
}

@media screen and (max-width: 1023px) {
  :is(#ugron_id, .main-navigation.ast-inline-flex) ul#ast-hf-menu-2-mobile button.ast-menu-toggle {
    padding: 0;
    right: 0;
    background: none;
    border-radius: 0;
    height: unset;
    width: unset;
    min-width: unset;
    display: flex;
    align-items: center;
    justify-content: center;
    right: 8px;
    width: 32px;
    height: 32px;
    top: 8px;
    box-shadow: none;
    border: 0;
  }

  :is(#ugron_id, .main-navigation.ast-inline-flex) ul#ast-hf-menu-2-mobile button.ast-menu-toggle span {
    line-height: 1;
  }

  :is(#ugron_id, .main-header-menu) .menu-item .ast-icon svg:not([fill]) {
    fill: #000;
    margin: 0;
    width: 14px;
    height: 14px;
  }

  :is(#ugron_id, .main-header-menu) .menu-item:hover > .sub-menu {
    width: auto;
    min-width: max-content;
    position: absolute;
    padding: 8px;
    background: white;
    left: unset;
    right: 6px;
  }

  :is(#ugron_id, .main-header-menu) .menu-item > .sub-menu a.menu-link {
    line-height: 1.5;
    padding: 8px;
  }
  :is(#ugron_id, .main-header-menu) .menu-item > .sub-menu a.menu-link span.ast-icon.icon-arrow {
    display: none;
  }
}

@media screen and (max-width: 992px) {
  ul#ast-hf-mobile-menu li.menu-item a.menu-link {
    text-align: left;
    padding-inline: 1rem;
  }
  ul#ast-hf-mobile-menu li.menu-item ul.sub-menu {
    min-width: 100% !important;
    max-width: 100% !important;
    position: unset !important;
  }
}

/* Newsletter Form */
@media screen and (max-width: 992px) {
  .elementor-widget-shortcode:has(form#mc4wp-form-1 .mc4wp-newsletter-row) {
    width: 100%;
  }
}

@media screen and (max-width: 480px) {
  form#mc4wp-form-1 .mc4wp-newsletter-row {
    flex-direction: column;
  }
}

form#mc4wp-form-1 .mc4wp-newsletter-row {
  display: flex;
  gap: 10px;
  width: 100%;
}

form#mc4wp-form-1 .mc4wp-newsletter-row input[type='email'] {
  background: #ffffff6e;
  border: 1px solid #69727d;
  color: #000;
  flex-grow: 1;
  max-width: 100%;
  vertical-align: middle;
  width: 100%;
}
form#mc4wp-form-1 .mc4wp-newsletter-row input[type='email']::placeholder {
  color: #1f2124;
}

form#mc4wp-form-1 .mc4wp-newsletter-row button {
  background-color: var(--e-global-color-astglobalcolor1);
  color: #fff;
  border-color: var(--e-global-color-astglobalcolor1);
  font-size: 16px;
  font-weight: 400;
  border-style: solid;
  border-width: 1px;
  border-radius: 6px;
  min-width: 210px;
}

/* /en/request-a-quote/ */
.elementor.elementor-4455 {
  background: #f7f2ec;
}

/* Registration forms */
:is(#ugron, .gform_wrapper) form.registration_form {
  padding: 32px;
  border-radius: 12px;
  background: #fffefe;
  margin-block: 48px;
}

:is(#ugron, .gform_wrapper) form.registration_form h3.gsection_title {
  margin-top: 0;
}

:is(#ugron, .gform_wrapper) form.registration_form .gsection_title {
  font-family: 'Moret', sans-serif !important;
  margin-bottom: 0 !important;
  color: #a36d4a !important;
  font-size: 24px !important;
  font-weight: 300 !important;
  line-height: 32px !important;
}

:is(#ugron, .gform_wrapper) form.registration_form input[type='text'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='number'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='email'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='url'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='password'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='search'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='reset'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='tel'],
:is(#ugron, .gform_wrapper) form.registration_form input[type='date'],
:is(#ugron, .gform_wrapper) form.registration_form select {
  height: 40px;
  border-radius: 8px !important;
  border: 1px solid #e6d7c5 !important;
  background: #fff9f2 !important;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05) !important;
  padding: 10px 14px !important;
  color: #101828 !important;
  font-family: 'General Sans', sans-serif !important;
  min-height: 44px;
  font-size: 14px !important;
  font-style: normal !important;
  font-weight: 400 !important;
  line-height: 24px !important;
}

:is(#ugron, .gform_wrapper) form.registration_form .gform-footer.gform_footer.top_label input[type='submit'] {
  display: flex;
  padding: 8px 14px !important;
  justify-content: center;
  align-items: center;
  gap: 8px;
  border-radius: 8px !important;
  border: 1px solid #114d42 !important;
  background: #15584c;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  color: #e6d7c5;
  font-family: 'General Sans', sans-serif;
  font-size: 14px !important;
  font-style: normal;
  font-weight: 500;
  line-height: 20px;
  text-transform: unset !important;
  letter-spacing: 0 !important;
  width: unset;
}
